View Issue Details

IDProjectCategoryView StatusLast Update
0002213SymmetricDSBugpublic2015-02-24 17:56
ReporterspadalkarAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.5 
Target Version3.7.8Fixed in Version3.7.8 
Summary0002213: Missing space in ORDER BY CLAUSE
DescriptionOutgoingBatchService.java trows an exception due to wrong syntax. The order by clause needs to have extra space.
Additional InformationIndex: symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java
===================================================================
--- symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java (revision 9376)
+++ symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java (working copy)
@@ -318,7 +318,7 @@
         }
 
         String sql = getSql("selectOutgoingBatchPrefixSql", where, startAtBatchIdSql,
- ascending ? "order by batch_id asc" : " order by batch_id desc");
+ ascending ? " order by batch_id asc" : " order by batch_id desc");
         return sqlTemplate.query(sql, maxRowsToRetrieve, new OutgoingBatchMapper(true),
                 params);
 
spadalka@wolverine:/media/sourcefire/symmetricds/trunk$
TagsNo tags attached.

Activities

chenson

2015-02-19 20:50

administrator   ~0000672

I am guessing that you are using the api and passing no statuses in?

Related Changesets

SymmetricDS: master 275518e3

2015-02-19 20:51:22

chenson

Details Diff
0002213: Missing space in ORDER BY CLAUSE
0002213
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2015-02-19 19:22 spadalkar New Issue
2015-02-19 20:50 chenson Note Added: 0000672
2015-02-19 20:51 chenson Fixed in Version => 3.7.8
2015-02-19 20:51 chenson Target Version => 3.7.8
2015-02-19 20:51 chenson Status new => resolved
2015-02-19 20:51 chenson Resolution open => fixed
2015-02-19 20:51 chenson Assigned To => chenson
2015-02-19 21:00 chenson Changeset attached => SymmetricDS trunk r9377
2015-02-24 17:56 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 275518e3